#!/usr/bin/env bash
set -eo pipefail

LOGFILE="/tmp/bootstrap_tfw.log"
trap 'echo "Something went wrong. Read the log az $LOGFILE"' ERR

printf "Cloning TFW repositories... "
printf "baseimage... " && git clone git@github.com:avatao-content/baseimage-tutorial-framework.git >> $LOGFILE 2>&1
printf "frontend... " && git clone git@github.com:avatao-content/frontend-tutorial-framework.git >> $LOGFILE 2>&1
printf "test... " && git clone git@github.com:avatao-content/test-tutorial-framework.git >> $LOGFILE 2>&1
printf "Done!\n\n"

printf "Building baseimage and installing frontend dependencies... "

cd baseimage-tutorial-framework
docker build -t baseimage-tutorial-framework . >> $LOGFILE 2>&1 &

cd ../frontend-tutorial-framework
yarn install >> $LOGFILE 2>&1

wait
printf "Done!\n"
rm $LOGFILE
